Skip to main content
POST
/
api
/
v1
/
workspaces
/
{workspace_id}
/
workflows
/
{workflow_id}
/
trigger
Trigger Workspace Workflow
curl --request POST \
  --url https://api.example.com/api/v1/workspaces/{workspace_id}/workflows/{workflow_id}/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "trigger_payload": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "triggered_by": "<string>",
  "trigger_payload": {},
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "error_message": "<string>",
  "total_cost_cents": 0,
  "node_runs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "input_data": {},
      "output_data": {},
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string<uuid>
required
workflow_id
string<uuid>
required

Body

application/json
trigger_payload
Trigger Payload · object

Response

Successful Response

id
string<uuid>
required
workflow_id
string<uuid>
required
status
string
required
created_at
string<date-time>
required
triggered_by
string | null
trigger_payload
Trigger Payload · object
started_at
string<date-time> | null
completed_at
string<date-time> | null
error_message
string | null
total_cost_cents
integer
default:0
node_runs
WorkflowNodeRunResponse · object[]